<?php
/**
 * Handyman Agency Theme Customizer
 *
 * @package Handyman Agency
 */

function Handyman_Agency_Customize_register( $wp_customize ) {

	load_template( trailingslashit( get_template_directory() ) . 'revolution/inc/fontawesome-change.php' );

	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';

	if ( isset( $wp_customize->selective_refresh ) ) {
		$wp_customize->selective_refresh->add_partial(
			'blogname',
			array(
				'selector'        => '.site-title a',
				'render_callback' => 'Handyman_Agency_Customize_partial_blogname',
			)
		);
		$wp_customize->selective_refresh->add_partial(
			'blogdescription',
			array(
				'selector'        => '.site-description',
				'render_callback' => 'Handyman_Agency_Customize_partial_blogdescription',
			)
		);
	}

	/*
    * Theme Options Panel
    */
	$wp_customize->add_panel('handyman_agency_panel', array(
		'priority' => 25,
		'capability' => 'edit_theme_options',
		'title' => __('Handyman Agency Theme Options', 'handyman-agency'),
	));

	/*
	* Customizer main header section
	*/

	$wp_customize->add_setting(
		'handyman_agency_site_title_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'handyman_agency_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'handyman_agency_site_title_text',
		array(
			'label'       => __('Enable Title', 'handyman-agency'),
			'description' => __('Enable or Disable Title from the site', 'handyman-agency'),
			'section'     => 'title_tagline',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'handyman_agency_site_tagline_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'handyman_agency_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'handyman_agency_site_tagline_text',
		array(
			'label'       => __('Enable Tagline', 'handyman-agency'),
			'description' => __('Enable or Disable Tagline from the site', 'handyman-agency'),
			'section'     => 'title_tagline',
			'type'        => 'checkbox',
		)
	);

		$wp_customize->add_setting(
		'handyman_agency_logo_width',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '150',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'handyman_agency_logo_width',
		array(
			'label'       => __('Logo Width in PX', 'handyman-agency'),
			'section'     => 'title_tagline',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 100,
	             'max' => 300,
	             'step' => 1,
	         ),
		)
	);

	/* WooCommerce custom settings */

	$wp_customize->add_section('woocommerce_custom_settings', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('WooCommerce Custom Settings', 'handyman-agency'),
		'panel'       => 'woocommerce',
	));

	$wp_customize->add_setting(
		'handyman_agency_per_columns',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'handyman_agency_per_columns',
		array(
			'label'       => __('Product Per Single Row', 'handyman-agency'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 4,
	             'step' => 1,
	         ),
		)
	);

	$wp_customize->add_setting(
		'handyman_agency_product_per_page',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '6',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'handyman_agency_product_per_page',
		array(
			'label'       => __('Product Per One Page', 'handyman-agency'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 12,
	             'step' => 1,
	         ),
		)
	);

	/*Related Products Enable Option*/
	$wp_customize->add_setting(
		'handyman_agency_enable_related_product',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'handyman_agency_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'handyman_agency_enable_related_product',
		array(
			'label'       => __('Enable Related Product', 'handyman-agency'),
			'description' => __('Checked to show Related Product', 'handyman-agency'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'custom_related_products_number',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'custom_related_products_number',
		array(
			'label'       => __('Related Product Count', 'handyman-agency'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 20,
	             'step' => 1,
	         ),
		)
	);

	$wp_customize->add_setting(
		'custom_related_products_number_per_row',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'custom_related_products_number_per_row',
		array(
			'label'       => __('Related Product Per Row', 'handyman-agency'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 4,
	             'step' => 1,
	         ),
		)
	);

	/*Archive Product layout*/
	$wp_customize->add_setting('handyman_agency_archive_product_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'handyman_agency_sanitize_choices'
	));
	$wp_customize->add_control('handyman_agency_archive_product_layout',array(
        'type' => 'select',
        'label' => esc_html__('Archive Product Layout','handyman-agency'),
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','handyman-agency'),
            'layout-2' => esc_html__('Sidebar On Left','handyman-agency'),
			'layout-3' => esc_html__('Full Width Layout','handyman-agency')
        ),
	) );

	/*Single Product layout*/
	$wp_customize->add_setting('handyman_agency_single_product_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'handyman_agency_sanitize_choices'
	));
	$wp_customize->add_control('handyman_agency_single_product_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Product Layout','handyman-agency'),
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','handyman-agency'),
            'layout-2' => esc_html__('Sidebar On Left','handyman-agency'),
			'layout-3' => esc_html__('Full Width Layout','handyman-agency')
        ),
	) );

	$wp_customize->add_setting('handyman_agency_woocommerce_product_sale',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
        'default'           => 'Right',
        'sanitize_callback' => 'handyman_agency_sanitize_choices'
    ));
    $wp_customize->add_control('handyman_agency_woocommerce_product_sale',array(
        'label'       => esc_html__( 'Woocommerce Product Sale Positions','handyman-agency' ),
        'type' => 'select',
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'Right' => __('Right','handyman-agency'),
            'Left' => __('Left','handyman-agency'),
            'Center' => __('Center','handyman-agency')
        ),
    ) );

	/*Additional Options*/
	$wp_customize->add_section('handyman_agency_additional_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Additional Options', 'handyman-agency'),
		'panel'       => 'handyman_agency_panel',
	));

	$wp_customize->add_setting(
		'handyman_agency_enable_sticky_header',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => false,
			'sanitize_callback' => 'handyman_agency_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'handyman_agency_enable_sticky_header',
		array(
			'label'       => __('Enable Sticky Header', 'handyman-agency'),
			'description' => __('Checked to enable sticky header', 'handyman-agency'),
			'section'     => 'handyman_agency_additional_section',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'handyman_agency_enable_preloader',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'handyman_agency_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'handyman_agency_enable_preloader',
		array(
			'label'       => __('Enable Preloader', 'handyman-agency'),
			'description' => __('Checked to show preloader', 'handyman-agency'),
			'section'     => 'handyman_agency_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Breadcrumbs Enable Option*/
	$wp_customize->add_setting(
		'handyman_agency_enable_breadcrumbs',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'handyman_agency_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'handyman_agency_enable_breadcrumbs',
		array(
			'label'       => __('Enable Breadcrumbs', 'handyman-agency'),
			'description' => __('Checked to show Breadcrumbs', 'handyman-agency'),
			'section'     => 'handyman_agency_additional_section',
			'type'        => 'checkbox',
		)
	);

		/*Pagination Enable Option*/
	$wp_customize->add_setting(
		'handyman_agency_enable_pagination',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'handyman_agency_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'handyman_agency_enable_pagination',
		array(
			'label'       => __('Enable Pagination', 'handyman-agency'),
			'description' => __('Checked to show Pagination', 'handyman-agency'),
			'section'     => 'handyman_agency_additional_section',
			'type'        => 'checkbox',
		)
	);

		/*Pagination Select Type Option*/
	$wp_customize->add_setting('handyman_agency_pagination_type',array(
        'default' => 'type-1',
        'sanitize_callback' => 'handyman_agency_sanitize_choices'
	));
	$wp_customize->add_control('handyman_agency_pagination_type',array(
        'type' => 'select',
        'label' => esc_html__('Select Pagination Type','handyman-agency'),
        'section' => 'handyman_agency_additional_section',
        'choices' => array(
            'type-1' => esc_html__('Type 1','handyman-agency'),
            'type-2' => esc_html__('Type 2','handyman-agency'),
        ),
	) );

	/*Post layout*/
	$wp_customize->add_setting('handyman_agency_archive_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'handyman_agency_sanitize_choices'
	));
	$wp_customize->add_control('handyman_agency_archive_layout',array(
        'type' => 'select',
        'label' => esc_html__('Posts Layout','handyman-agency'),
        'section' => 'handyman_agency_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','handyman-agency'),
            'layout-2' => esc_html__('Sidebar On Left','handyman-agency'),
			'layout-3' => esc_html__('Full Width Layout','handyman-agency')
        ),
	) );

	/*single post layout*/
	$wp_customize->add_setting('handyman_agency_post_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'handyman_agency_sanitize_choices'
	));
	$wp_customize->add_control('handyman_agency_post_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Post Layout','handyman-agency'),
        'section' => 'handyman_agency_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','handyman-agency'),
            'layout-2' => esc_html__('Sidebar On Left','handyman-agency'),
			'layout-3' => esc_html__('Full Width Layout','handyman-agency')
        ),
	) );

	/*single page layout*/
	$wp_customize->add_setting('handyman_agency_page_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'handyman_agency_sanitize_choices'
	));
	$wp_customize->add_control('handyman_agency_page_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Page Layout','handyman-agency'),
        'section' => 'handyman_agency_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','handyman-agency'),
            'layout-2' => esc_html__('Sidebar On Left','handyman-agency'),
			'layout-3' => esc_html__('Full Width Layout','handyman-agency')
        ),
	) );

	/*Archive Post Options*/
	$wp_customize->add_section('handyman_agency_blog_post_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Blog Page Options', 'handyman-agency'),
		'panel'       => 'handyman_agency_panel',
	));

	$wp_customize->add_setting('handyman_agency_enable_blog_post_title',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'handyman_agency_sanitize_checkbox',
	));
	$wp_customize->add_control('handyman_agency_enable_blog_post_title',array(
		'label'       => __('Enable Blog Post Title', 'handyman-agency'),
		'description' => __('Checked To Show Blog Post Title', 'handyman-agency'),
		'section'     => 'handyman_agency_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('handyman_agency_enable_blog_post_meta',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'handyman_agency_sanitize_checkbox',
	));
	$wp_customize->add_control('handyman_agency_enable_blog_post_meta',array(
		'label'       => __('Enable Blog Post Meta', 'handyman-agency'),
		'description' => __('Checked To Show Blog Post Meta Feilds', 'handyman-agency'),
		'section'     => 'handyman_agency_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('handyman_agency_enable_blog_post_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'handyman_agency_sanitize_checkbox',
	));
	$wp_customize->add_control('handyman_agency_enable_blog_post_image',array(
		'label'       => __('Enable Blog Post Image', 'handyman-agency'),
		'description' => __('Checked To Show Blog Post Image', 'handyman-agency'),
		'section'     => 'handyman_agency_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('handyman_agency_enable_blog_post_content',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'handyman_agency_sanitize_checkbox',
	));
	$wp_customize->add_control('handyman_agency_enable_blog_post_content',array(
		'label'       => __('Enable Blog Post Content', 'handyman-agency'),
		'description' => __('Checked To Show Blog Post Content', 'handyman-agency'),
		'section'     => 'handyman_agency_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('handyman_agency_enable_blog_post_button',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'handyman_agency_sanitize_checkbox',
	));
	$wp_customize->add_control('handyman_agency_enable_blog_post_button',array(
		'label'       => __('Enable Blog Post Read More Button', 'handyman-agency'),
		'description' => __('Checked To Show Blog Post Read More Button', 'handyman-agency'),
		'section'     => 'handyman_agency_blog_post_section',
		'type'        => 'checkbox',
	));

	/*Blog post Content layout*/
	$wp_customize->add_setting('handyman_agency_blog_Post_content_layout',array(
        'default' => 'Left',
        'sanitize_callback' => 'handyman_agency_sanitize_choices'
	));
	$wp_customize->add_control('handyman_agency_blog_Post_content_layout',array(
        'type' => 'select',
        'label' => esc_html__('Blog Post Content Layout','handyman-agency'),
        'section' => 'handyman_agency_blog_post_section',
        'choices' => array(
            'Left' => esc_html__('Left','handyman-agency'),
            'Center' => esc_html__('Center','handyman-agency'),
            'Right' => esc_html__('Right','handyman-agency')
        ),
	) );

	/*Excerpt*/
    $wp_customize->add_setting(
		'handyman_agency_excerpt_limit',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '25',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'handyman_agency_excerpt_limit',
		array(
			'label'       => __('Excerpt Limit', 'handyman-agency'),
			'section'     => 'handyman_agency_blog_post_section',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 2,
	             'max' => 50,
	             'step' => 2,
	         ),
		)
	);

	/*Archive Button Text*/
	$wp_customize->add_setting(
		'handyman_agency_read_more_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Continue Reading....',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'handyman_agency_read_more_text',
		array(
			'label'       => __('Edit Button Text ', 'handyman-agency'),
			'section'     => 'handyman_agency_blog_post_section',
			'type'        => 'text',
		)
	);

	/*Single Post Options*/
	$wp_customize->add_section('handyman_agency_single_post_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Single Post Options', 'handyman-agency'),
		'panel'       => 'handyman_agency_panel',
	));

	$wp_customize->add_setting('handyman_agency_enable_single_blog_post_title',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'handyman_agency_sanitize_checkbox',
	));
	$wp_customize->add_control('handyman_agency_enable_single_blog_post_title',array(
		'label'       => __('Enable Single Post Title', 'handyman-agency'),
		'description' => __('Checked To Show Blog Post Title', 'handyman-agency'),
		'section'     => 'handyman_agency_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('handyman_agency_enable_single_blog_post_meta',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'handyman_agency_sanitize_checkbox',
	));
	$wp_customize->add_control('handyman_agency_enable_single_blog_post_meta',array(
		'label'       => __('Enable Single Post Meta', 'handyman-agency'),
		'description' => __('Checked To Show Blog Post Meta Feilds', 'handyman-agency'),
		'section'     => 'handyman_agency_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('handyman_agency_enable_single_blog_post_tags',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'handyman_agency_sanitize_checkbox',
	));
	$wp_customize->add_control('handyman_agency_enable_single_blog_post_tags',array(
		'label'       => __('Enable Single Post Tags', 'handyman-agency'),
		'description' => __('Checked To Show Blog Post Tags', 'handyman-agency'),
		'section'     => 'handyman_agency_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('handyman_agency_enable_single_post_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'handyman_agency_sanitize_checkbox',
	));
	$wp_customize->add_control('handyman_agency_enable_single_post_image',array(
		'label'       => __('Enable Single Post Image', 'handyman-agency'),
		'description' => __('Checked To Show Single Post Image', 'handyman-agency'),
		'section'     => 'handyman_agency_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('handyman_agency_enable_single_blog_post_content',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'handyman_agency_sanitize_checkbox',
	));
	$wp_customize->add_control('handyman_agency_enable_single_blog_post_content',array(
		'label'       => __('Enable Single Post Content', 'handyman-agency'),
		'description' => __('Checked To Show Blog Post Content', 'handyman-agency'),
		'section'     => 'handyman_agency_single_post_section',
		'type'        => 'checkbox',
	));

	/*Related Post Enable Option*/
	$wp_customize->add_setting(
		'handyman_agency_enable_related_post',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'handyman_agency_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'handyman_agency_enable_related_post',
		array(
			'label'       => __('Enable Related Post', 'handyman-agency'),
			'description' => __('Checked to show Related Post', 'handyman-agency'),
			'section'     => 'handyman_agency_single_post_section',
			'type'        => 'checkbox',
		)
	);

	/*Related post Edit Text*/
	$wp_customize->add_setting(
		'handyman_agency_related_post_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Related Post',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'handyman_agency_related_post_text',
		array(
			'label'       => __('Edit Related Post Text ', 'handyman-agency'),
			'section'     => 'handyman_agency_single_post_section',
			'type'        => 'text',
		)
	);	

	/*Related Post Per Page*/
	$wp_customize->add_setting(
		'handyman_agency_related_post_count',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'handyman_agency_related_post_count',
		array(
			'label'       => __('Related Post Count', 'handyman-agency'),
			'section'     => 'handyman_agency_single_post_section',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 9,
	             'step' => 1,
	         ),
		)
	);

	/* Comment Section Enable Option*/
	$wp_customize->add_setting(
		'handyman_agency_enable_comment_section',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'handyman_agency_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'handyman_agency_enable_comment_section',
		array(
			'label'       => __('Enable Comment Section', 'handyman-agency'),
			'description' => __('Checked to show Comment Section', 'handyman-agency'),
			'section'     => 'handyman_agency_single_post_section',
			'type'        => 'checkbox',
		)
	);

	/*
	* Customizer Global COlor
	*/

	/*Global Color Options*/
	$wp_customize->add_section('handyman_agency_global_color_section', array(
		'priority'       => 1,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Global Color Options', 'handyman-agency'),
		'panel'       => 'handyman_agency_panel',
	));

	$wp_customize->add_setting( 'handyman_agency_primary_color',
		array(
		'default'           => '#008BF9',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control( 
		new WP_Customize_Color_Control( 
		$wp_customize, 
		'handyman_agency_primary_color',
		array(
			'label'      => esc_html__( 'Primary Color', 'handyman-agency' ),
			'section'    => 'handyman_agency_global_color_section',
			'settings'   => 'handyman_agency_primary_color',
		) ) 
	);

	$wp_customize->add_setting( 'handyman_agency_secondary_color',
		array(
		'default'           => '#1F2230',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control( 
		new WP_Customize_Color_Control( 
		$wp_customize, 
		'handyman_agency_secondary_color',
		array(
			'label'      => esc_html__( 'Secondary Color', 'handyman-agency' ),
			'section'    => 'handyman_agency_global_color_section',
			'settings'   => 'handyman_agency_secondary_color',
		) ) 
	);

	$wp_customize->add_setting( 'handyman_agency_third_color',
		array(
		'default'           => '#FFC527',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control( 
		new WP_Customize_Color_Control( 
		$wp_customize, 
		'handyman_agency_third_color',
		array(
			'label'      => esc_html__( 'Tertiary Color', 'handyman-agency' ),
			'section'    => 'handyman_agency_global_color_section',
			'settings'   => 'handyman_agency_third_color',
		) ) 
	);

	/*Typography Options*/
	$wp_customize->add_section( 'handyman_agency_typography_section', array(
		'panel'       => 'handyman_agency_panel',
        'title'    => __( 'Typography Options', 'handyman-agency' ),
        'priority' => 2,
    ) );

    $wp_customize->add_setting( 'handyman_agency_font_family', array(
		'default'           => 'default',
		'sanitize_callback' => 'handyman_agency_sanitize_font_family',
	) );
	
	$wp_customize->add_control( 'handyman_agency_font_family', array(
		'label'    => __( 'Global Font Family', 'handyman-agency' ),
		'section'  => 'handyman_agency_typography_section',
		'type'     => 'select',
		'choices'  => array(
			'default'          => __( 'Default (Theme Font)', 'handyman-agency' ),
			'bad_script'       => 'Bad Script',
			'roboto'           => 'Roboto',
			'playfair_display' => 'Playfair Display',
			'open_sans'        => 'Open Sans',
			'lobster'          => 'Lobster',
			'merriweather'     => 'Merriweather',
			'oswald'           => 'Oswald',
			'raleway'          => 'Raleway',
		),
	) );
	

	/*
	* Customizer main header section
	*/

	/*Main Header Options*/
	$wp_customize->add_section('handyman_agency_header_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Main Header Options', 'handyman-agency'),
		'panel'       => 'handyman_agency_panel',
	));

	$wp_customize->add_setting(
		'handyman_agency_header_search',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'handyman_agency_sanitize_checkbox',
		)
	);
	$wp_customize->add_control(
		'handyman_agency_header_search',
		array(
			'label'       => __('Enable Disable Search', 'handyman-agency'),
			'description' => __('Enable or Disable header Search', 'handyman-agency'),
			'section'     => 'handyman_agency_header_section',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'handyman_agency_call_text',array(
			'default'=> 'Toll Free',
			'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control(
		'handyman_agency_call_text',array(
			'label'	=> __('Add Call Text','handyman-agency'),
			'section'=> 'handyman_agency_header_section',
			'type'=> 'text'
	));

	$wp_customize->add_setting(
		'handyman_agency_about_call',
		array(
			'default'=> '123 456 7890',
			'sanitize_callback'	=> 'handyman_agency_sanitize_phone_number'
	));
	$wp_customize->add_control(
		'handyman_agency_about_call',array(
			'label'	=> __('Add Phone Number','handyman-agency'),
			'section'=> 'handyman_agency_header_section',
			'type'=> 'text'
	));

	$wp_customize->add_setting('handyman_agency_header_phone_icon',array(
		'default'	=> 'fas fa-phone',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control(new Handyman_Agency_Icon_Changer(
        $wp_customize,'handyman_agency_header_phone_icon',array(
		'label'	=> __('Phone Number Icon','handyman-agency'),
		'transport' => 'refresh',
		'section'	=> 'handyman_agency_header_section',
		'type'		=> 'icon'
	)));

	/*Main Header Button Text*/
	$wp_customize->add_setting(
		'handyman_agency_header_button_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'GET IN APPOINTMENT',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'handyman_agency_header_button_text',
		array(
			'label'       => __('Edit Button Text ', 'handyman-agency'),
			'section'     => 'handyman_agency_header_section',
			'type'        => 'text',
		)
	);

	/*Main Header Button Link*/
	$wp_customize->add_setting(
		'handyman_agency_header_button_link',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '',
			'sanitize_callback' => 'esc_url_raw',
		)
	);
	$wp_customize->add_control(
		'handyman_agency_header_button_link',
		array(
			'label'       => __('Edit Button Link ', 'handyman-agency'),
			'section'     => 'handyman_agency_header_section',
			'type'        => 'url',
		)
	);

	/*Facebook Link*/
	$wp_customize->add_setting(
		'handyman_agency_facebook_link_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'handyman_agency_facebook_link_option',
		array(
			'label'       => __('Edit Facebook Link', 'handyman-agency'),
			'section'     => 'handyman_agency_header_section',
			'type'        => 'url',
		)
	);

	/*Twitter Link*/
	$wp_customize->add_setting(
		'handyman_agency_twitter_link_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'handyman_agency_twitter_link_option',
		array(
			'label'       => __('Edit Twitter Link', 'handyman-agency'),
			'section'     => 'handyman_agency_header_section',
			'type'        => 'url',
		)
	);


	$wp_customize->add_setting(
		'handyman_agency_youtube_link_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);
	$wp_customize->add_control(
		'handyman_agency_youtube_link_option',
		array(
			'label'       => __('Edit Youtube Link', 'handyman-agency'),
			'section'     => 'handyman_agency_header_section',
			'type'        => 'url',
		)
	);

	$wp_customize->add_setting(
		'handyman_agency_linked_link_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);
	$wp_customize->add_control(
		'handyman_agency_linked_link_option',
		array(
			'label'       => __('Edit Linkedin Link', 'handyman-agency'),
			'section'     => 'handyman_agency_header_section',
			'type'        => 'url',
		)
	);

	/*Instagram Link*/
	$wp_customize->add_setting(
		'handyman_agency_instagram_link_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'handyman_agency_instagram_link_option',
		array(
			'label'       => __('Edit Instagram Link', 'handyman-agency'),
			'section'     => 'handyman_agency_header_section',
			'type'        => 'url',
		)
	);

	/*
	* Customizer main slider section
	*/
	/*Main Slider Options*/
	$wp_customize->add_section('handyman_agency_slider_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Main Slider Options', 'handyman-agency'),
		'panel'       => 'handyman_agency_panel',
	));

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'handyman_agency_enable_slider',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'handyman_agency_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'handyman_agency_enable_slider',
		array(
			'label'       => __('Enable Main Slider', 'handyman-agency'),
			'description' => __('Checked to show the main slider', 'handyman-agency'),
			'section'     => 'handyman_agency_slider_section',
			'type'        => 'checkbox',
		)
	);

	for ($handyman_agency_i=1; $handyman_agency_i <= 3; $handyman_agency_i++) { 

		/*Main Slider Image*/
		$wp_customize->add_setting(
			'handyman_agency_slider_image'.$handyman_agency_i,
			array(
				'capability'    => 'edit_theme_options',
		        'default'       => '',
		        'transport'     => 'postMessage',
		        'sanitize_callback' => 'esc_url_raw',
	    	)
	    );

		$wp_customize->add_control( 
			new WP_Customize_Image_Control( $wp_customize, 
				'handyman_agency_slider_image'.$handyman_agency_i, 
				array(
			        'label' => __('Edit Slider Image ', 'handyman-agency') .$handyman_agency_i,
			        'description' => __('Edit the slider image.', 'handyman-agency'),
			        'section' => 'handyman_agency_slider_section',
				)
			)
		);

		/*Main Slider Heading*/
		$wp_customize->add_setting(
			'handyman_agency_slider_top_text'.$handyman_agency_i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'handyman_agency_slider_top_text'.$handyman_agency_i,
			array(
				'label'       => __('Edit Slider Top Text ', 'handyman-agency') .$handyman_agency_i,
				'description' => __('Edit the slider Top text.', 'handyman-agency'),
				'section'     => 'handyman_agency_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Heading*/
		$wp_customize->add_setting(
			'handyman_agency_slider_heading'.$handyman_agency_i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'handyman_agency_slider_heading'.$handyman_agency_i,
			array(
				'label'       => __('Edit Heading Text ', 'handyman-agency') .$handyman_agency_i,
				'description' => __('Edit the slider heading text.', 'handyman-agency'),
				'section'     => 'handyman_agency_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Content*/
		$wp_customize->add_setting(
			'handyman_agency_slider_text'.$handyman_agency_i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'handyman_agency_slider_text'.$handyman_agency_i,
			array(
				'label'       => __('Edit Content Text ', 'handyman-agency') .$handyman_agency_i,
				'description' => __('Edit the slider content text.', 'handyman-agency'),
				'section'     => 'handyman_agency_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Button1 Text*/
		$wp_customize->add_setting(
			'handyman_agency_slider_button1_text'.$handyman_agency_i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);
		$wp_customize->add_control(
			'handyman_agency_slider_button1_text'.$handyman_agency_i,
			array(
				'label'       => __('Edit Button #1 Text ', 'handyman-agency') .$handyman_agency_i,
				'description' => __('Edit the slider button text.', 'handyman-agency'),
				'section'     => 'handyman_agency_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Button1 URL*/
		$wp_customize->add_setting(
			'handyman_agency_slider_button1_link'.$handyman_agency_i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'esc_url_raw',
			)
		);

		$wp_customize->add_control(
			'handyman_agency_slider_button1_link'.$handyman_agency_i,
			array(
				'label'       => __('Edit Button #1 URL ', 'handyman-agency') .$handyman_agency_i,
				'description' => __('Edit the slider button url.', 'handyman-agency'),
				'section'     => 'handyman_agency_slider_section',
				'type'        => 'url',
			)
		);

		/*Main Slider Button2 Text*/
		$wp_customize->add_setting(
			'handyman_agency_slider_button2_text'.$handyman_agency_i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);
		$wp_customize->add_control(
			'handyman_agency_slider_button2_text'.$handyman_agency_i,
			array(
				'label'       => __('Edit Button #2 Text ', 'handyman-agency') .$handyman_agency_i,
				'description' => __('Edit the slider button text.', 'handyman-agency'),
				'section'     => 'handyman_agency_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Button1 URL*/
		$wp_customize->add_setting(
			'handyman_agency_slider_button2_link'.$handyman_agency_i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'esc_url_raw',
			)
		);

		$wp_customize->add_control(
			'handyman_agency_slider_button2_link'.$handyman_agency_i,
			array(
				'label'       => __('Edit Button #2 URL ', 'handyman-agency') .$handyman_agency_i,
				'description' => __('Edit the slider button url.', 'handyman-agency'),
				'section'     => 'handyman_agency_slider_section',
				'type'        => 'url',
			)
		);

	}

	/*=========================================
	service Section
	=========================================*/

	$wp_customize->add_section(
		'handyman_agency_service_section', array(
			'title' => esc_html__( 'Our Services Section', 'handyman-agency' ),
			'priority' => 6,
			'panel' => 'handyman_agency_panel',
		)
	);

	// Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'handyman_agency_service_show_hide' , 
			array(
			'default' => false,
			'sanitize_callback' => 'handyman_agency_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	$wp_customize->add_control(
	'handyman_agency_service_show_hide', 
		array(
			'label'	      => esc_html__( 'Hide / Show Section', 'handyman-agency' ),
			'section'     => 'handyman_agency_service_section',
			'settings'    => 'handyman_agency_service_show_hide',
			'type'        => 'checkbox'
		) 
	);

	$wp_customize->add_setting(
    	'handyman_agency_section_title',
    	array(
			'default' => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);	
	$wp_customize->add_control( 
		'handyman_agency_section_title',
		array(
		    'label'   		=> __('Add Heading','handyman-agency'),
		    'section'		=> 'handyman_agency_service_section',
			'type' 			=> 'text',
		)
	);

	/*Main Header Button Text*/
	$wp_customize->add_setting(
		'handyman_agency_view_more_button_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'VIEW MORE WORK',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'handyman_agency_view_more_button_text',
		array(
			'label'       => __('Edit Button Text ', 'handyman-agency'),
			'section'     => 'handyman_agency_service_section',
			'type'        => 'text',
		)
	);

	/*Main Header Button Link*/
	$wp_customize->add_setting(
		'handyman_agency_view_more_button_link',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '',
			'sanitize_callback' => 'esc_url_raw',
		)
	);
	$wp_customize->add_control(
		'handyman_agency_view_more_button_link',
		array(
			'label'       => __('Edit Button Link ', 'handyman-agency'),
			'section'     => 'handyman_agency_service_section',
			'type'        => 'url',
		)
	);

	$categories = get_categories();
    $cats = array();
    $i = 0;
    $offer_cat[]= 'select';
    foreach($categories as $category){
        if($i==0){
            $default = $category->slug;
            $i++;
        }
        $offer_cat[$category->slug] = $category->name;
    }

    $wp_customize->add_setting(
    	'handyman_agency_offer_section_category',
    	array(
	        'default'   => 'uncategorized',
	        'sanitize_callback' => 'handyman_agency_sanitize_choices',
    	)
    );
    $wp_customize->add_control(
    	'handyman_agency_offer_section_category',
    	array(
	        'type'    => 'select',
	        'choices' => $offer_cat,
	        'label' => __('Select Category','handyman-agency'),
	        'section' => 'handyman_agency_service_section',
    	)
    );

    // Setting for number of posts to show
    $wp_customize->add_setting('handyman_agency_posts_to_show', array(
        'default'           => 4, // Default number of posts to show
        'sanitize_callback' => 'absint', // Sanitization callback
    ));

    // Add control for number of posts to show
    $wp_customize->add_control('handyman_agency_posts_to_show', array(
        'label'       => __('Number of Post to Show', 'handyman-agency'),
        'section'     => 'handyman_agency_service_section',
        'priority'    => 10,
        'type'        => 'number',
        'input_attrs' => array(
            'step' => 1,
            'min'  => 0,
            'max'  => 50,
        ),
    ));

    // Get the number of posts to show
    $handyman_agency_posts_to_show = get_theme_mod('handyman_agency_posts_to_show', 4);
    
    // Loop to create settings and controls for each post's price and star rating
    for ($handyman_agency_i = 1; $handyman_agency_i <= $handyman_agency_posts_to_show; $handyman_agency_i++) {

    	$wp_customize->add_setting('handyman_agency_team_role' . $handyman_agency_i, array(
            'default' => '',
            'sanitize_callback' => 'sanitize_text_field'
        ));

        $wp_customize->add_control('handyman_agency_team_role' . $handyman_agency_i, array(
            'label'    => __('Add Role for Team Member ', 'handyman-agency') . $handyman_agency_i,
            'section'  => 'handyman_agency_service_section',
            'type'     => 'text',
            'priority' => 998,
        ));

    	$wp_customize->add_setting('handyman_agency_serv_facebook_url' . $handyman_agency_i, array(
            'default' => '',
            'sanitize_callback' => 'esc_url_raw'
        ));

        $wp_customize->add_control('handyman_agency_serv_facebook_url' . $handyman_agency_i, array(
            'label'    => __('Add Facebook Link for Post ', 'handyman-agency') . $handyman_agency_i,
            'section'  => 'handyman_agency_service_section',
            'type'     => 'text',
            'priority' => 998,
        ));

        $wp_customize->add_setting('handyman_agency_serv_twitter_url' . $handyman_agency_i, array(
            'default' => '',
            'sanitize_callback' => 'esc_url_raw'
        ));

        $wp_customize->add_control('handyman_agency_serv_twitter_url' . $handyman_agency_i, array(
            'label'    => __('Add Twitter Link for Post', 'handyman-agency') . $handyman_agency_i,
            'section'  => 'handyman_agency_service_section',
            'type'     => 'text',
            'priority' => 998,
        ));

        $wp_customize->add_setting('handyman_agency_serv_insta_url' . $handyman_agency_i, array(
            'default' => '',
            'sanitize_callback' => 'esc_url_raw'
        ));

        $wp_customize->add_control('handyman_agency_serv_insta_url' . $handyman_agency_i, array(
            'label'    => __('Add Instagram Link for Post', 'handyman-agency') . $handyman_agency_i,
            'section'  => 'handyman_agency_service_section',
            'type'     => 'text',
            'priority' => 998,
        ));

        $wp_customize->add_setting('handyman_agency_serv_linked_url' . $handyman_agency_i, array(
            'default' => '',
            'sanitize_callback' => 'esc_url_raw'
        ));

        $wp_customize->add_control('handyman_agency_serv_linked_url' . $handyman_agency_i, array(
            'label'    => __('Add Linkedin Link for Post', 'handyman-agency') . $handyman_agency_i,
            'section'  => 'handyman_agency_service_section',
            'type'     => 'text',
            'priority' => 998,
        ));

        $wp_customize->add_setting('handyman_agency_serv_youtube_url' . $handyman_agency_i, array(
            'default' => '',
            'sanitize_callback' => 'esc_url_raw'
        ));

        $wp_customize->add_control('handyman_agency_serv_youtube_url' . $handyman_agency_i, array(
            'label'    => __('Add Youtube Link for Post', 'handyman-agency') . $handyman_agency_i,
            'section'  => 'handyman_agency_service_section',
            'type'     => 'text',
            'priority' => 998,
        ));
  
    }

	/*
	* Customizer Footer Section
	*/
	/*Footer Options*/
	$wp_customize->add_section('handyman_agency_footer_section', array(
		'priority'       => 8,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Footer Options', 'handyman-agency'),
		'panel'       => 'handyman_agency_panel',
	));
	
	/*Footer Enable Option*/
	$wp_customize->add_setting(
		'handyman_agency_enable_footer',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'handyman_agency_sanitize_checkbox',
		)
	);
	$wp_customize->add_control(
		'handyman_agency_enable_footer',
		array(
			'label'       => __('Enable Footer', 'handyman-agency'),
			'description' => __('Checked to show Footer', 'handyman-agency'),
			'section'     => 'handyman_agency_footer_section',
			'type'        => 'checkbox',
		)
	);

	/*Footer bg image Option*/
	$wp_customize->add_setting('handyman_agency_footer_bg_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
        'default'           => '',
        'sanitize_callback' => 'esc_url_raw',
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'handyman_agency_footer_bg_image',array(
        'label' => __('Footer Background Image','handyman-agency'),
        'section' => 'handyman_agency_footer_section',
        'priority' => 1,
    )));


	/*Footer Social Menu Option*/
	$wp_customize->add_setting(
		'handyman_agency_footer_social_menu',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'handyman_agency_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'handyman_agency_footer_social_menu',
		array(
			'label'       => __('Enable Footer Social Menu', 'handyman-agency'),
			'description' => __('Checked to show the footer social menu. Go to Dashboard >> Appearance >> Menus >> Create New Menu >> Add Custom Link >> Add Social Menu >> Checked Social Menu >> Save Menu.', 'handyman-agency'),
			'section'     => 'handyman_agency_footer_section',
			'type'        => 'checkbox',
		)
	);	

	/*Go To Top Option*/
	$wp_customize->add_setting(
		'handyman_agency_enable_go_to_top_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'handyman_agency_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'handyman_agency_enable_go_to_top_option',
		array(
			'label'       => __('Enable Go To Top', 'handyman-agency'),
			'description' => __('Checked to enable Go To Top option.', 'handyman-agency'),
			'section'     => 'handyman_agency_footer_section',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting('handyman_agency_go_to_top_position',array(
        'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 'Right',
        'sanitize_callback' => 'handyman_agency_sanitize_choices'
    ));
    $wp_customize->add_control('handyman_agency_go_to_top_position',array(
        'type' => 'select',
        'section' => 'handyman_agency_footer_section',
        'label' => esc_html__('Go To Top Positions','handyman-agency'),
        'choices' => array(
            'Right' => __('Right','handyman-agency'),
            'Left' => __('Left','handyman-agency'),
            'Center' => __('Center','handyman-agency')
        ),
    ) );

	/*Footer Copyright Text Enable*/
	$wp_customize->add_setting(
		'handyman_agency_copyright_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'handyman_agency_copyright_option',
		array(
			'label'       => __('Edit Copyright Text', 'handyman-agency'),
			'description' => __('Edit the Footer Copyright Section.', 'handyman-agency'),
			'section'     => 'handyman_agency_footer_section',
			'type'        => 'text',
		)
	);
}
add_action( 'customize_register', 'Handyman_Agency_Customize_register' );

/**
 * Render the site title for the selective refresh partial.
 *
 * @return void
 */
function Handyman_Agency_Customize_partial_blogname() {
	bloginfo( 'name' );
}

/**
 * Render the site tagline for the selective refresh partial.
 *
 * @return void
 */
function Handyman_Agency_Customize_partial_blogdescription() {
	bloginfo( 'description' );
}

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function Handyman_Agency_Customize_preview_js() {
	wp_enqueue_script( 'handyman-agency-customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), HANDYMAN_AGENCY_VERSION, true );
}
add_action( 'customize_preview_init', 'Handyman_Agency_Customize_preview_js' );

/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class Handyman_Agency_Customize {

	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function get_instance() {

		static $handyman_agency_instance = null;

		if ( is_null( $handyman_agency_instance ) ) {
			$handyman_agency_instance = new self;
			$handyman_agency_instance->setup_actions();
		}

		return $handyman_agency_instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}

	/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
	}

	/**
	 * Sets up the customizer sections.
	 *
	 * @since  1.0.0
	 * @access public
	 * @param  object  $handyman_agency_manager
	 * @return void
	*/
	public function sections( $handyman_agency_manager ) {
		// Load custom sections.
		load_template( trailingslashit( get_template_directory() ) . '/revolution/inc/section-pro.php' );

		// Register custom section types.
		$handyman_agency_manager->register_section_type( 'Handyman_Agency_Customize_Section_Pro' );

		// Register sections.
		$handyman_agency_manager->add_section( new Handyman_Agency_Customize_Section_Pro( $handyman_agency_manager,'handyman_agency_go_pro', array(
			'priority'   => 1,
			'title'    => esc_html__( 'Handyman Agency Pro', 'handyman-agency' ),
			'pro_text' => esc_html__( 'Buy Pro', 'handyman-agency' ),
			'pro_url'    => esc_url( HANDYMAN_AGENCY_BUY_NOW ),
		) )	);

		// Register sections.
		$handyman_agency_manager->add_section( new Handyman_Agency_Customize_Section_Pro( $handyman_agency_manager,'handyman_agency_lite_documentation', array(
			'priority'   => 1,
			'title'    => esc_html__( 'Lite Documentation', 'handyman-agency' ),
			'pro_text' => esc_html__( 'Instruction', 'handyman-agency' ),
			'pro_url'    => esc_url( HANDYMAN_AGENCY_LITE_DOC ),
		) )	);

		$handyman_agency_manager->add_section( new Handyman_Agency_Customize_Section_Pro( $handyman_agency_manager, 'handyman_agency_live_demo', array(
		    'priority'   => 1,
		    'title'      => esc_html__( 'Pro Theme Demo', 'handyman-agency' ),
		    'pro_text'   => esc_html__( 'Live Preview', 'handyman-agency' ),
		    'pro_url'    => esc_url( HANDYMAN_AGENCY_LIVE_DEMO ),
		) ) );	
	}

	/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function enqueue_control_scripts() {

		wp_enqueue_script( 'handyman-agency-customize-controls', trailingslashit( get_template_directory_uri() ) . '/revolution/assets/js/customize-controls.js', array( 'customize-controls' ) );

		wp_enqueue_style( 'handyman-agency-customize-controls', trailingslashit( get_template_directory_uri() ) . '/revolution/assets/css/customize-controls.css' );
	}
}

// Doing this customizer thang!
Handyman_Agency_Customize::get_instance();